%define name beep-media-player-extra-plugins
%define oname bmp-extra-plugins
%define version 0.2.2
%define rel 3
%define release %mkrel %rel

Summary: Additional plugins for the Beep Media Player
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{oname}-%{version}.tar.bz2
Patch: beep-media-player-extra-plugins-gcc4.patch.bz2
License: GPL
Group: Sound
Url: http://www.t17.ikarnet.pl/%7Ewiget/bmp-extra-plugins/download/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libbeep-media-player-devel
BuildRequires: libvorbis-devel
Requires: beep-media-player


%description
This is set of BMP plugins ported from XMMS but not included in main
BMP or XMMS sources.

%package -n beep-media-player-lirc
Group: Sound
Summary: Lirc control plugin for Beep Media Player
BuildRequires: lirc-devel
#gw for the translations
Requires: %name = %version

%description -n beep-media-player-lirc
This is a remote control interface for Beep Media Player.


%package -n beep-media-player-mplayer
Group: Video
Summary: MPlayer input plugin for Beep Media Player
Requires: mplayer
#gw for the translations
Requires: %name = %version

%description -n beep-media-player-mplayer
This is a video input plugin for Beep Media Player based on MPlayer.

%package -n beep-media-player-arts
Group: Sound
Summary: Arts output plugin for Beep Media Player
#gw for the translations
Requires: %name = %version
BuildRequires: libarts-devel

%description -n beep-media-player-arts
This is a Arts output plugin for Beep Media Player based on MPlayer.

%prep
%setup -q -n %oname-%version
%patch -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -fv %buildroot%_libdir/bmp/*/*.la
%find_lang %oname
rm -f %buildroot%_libdir/bmp/Input/musepack.so
rm -f %buildroot%_libdir/bmp/General/scrobbler.so


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %oname.lang
%defattr(-,root,root)
%doc README ChangeLog TODO NEWS
%_libdir/bmp/General/statusdocklet.so
%_libdir/bmp/General/xf86audio.so
%_libdir/bmp/Output/crossfade.so
%_libdir/bmp/Output/oggre.so
%_libdir/bmp/Visualization/*
%_datadir/bmp/status_docklet/

%files -n beep-media-player-lirc
%defattr(-,root,root)
%doc general/lirc/README general/lirc/NEWS general/lirc/AUTHORS
%doc general/lirc/ChangeLog
%_libdir/bmp/General/lirc.so


%files -n beep-media-player-mplayer
%defattr(-,root,root)
%doc input/mplayer/README input/mplayer/ChangeLog input/mplayer/AUTHORS
%doc input/mplayer/TODO
%_libdir/bmp/Input/mplayer.so

%files -n beep-media-player-arts
%defattr(-,root,root)
%doc output/arts/README output/arts/ChangeLog output/arts/NEWS 
%doc output/arts/AUTHORS
%_libdir/bmp/Output/arts.so
%_bindir/bmp-arts-helper

%changelog
* Mon Jun 13 2005 Gtz Waschk <waschk@mandriva.org> 0.2.2-3mdk
- mkrel
- remove plf stuff
- patch for new gcc

* Sat Mar 26 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-2mdk
- remove scrobbler plugin

* Thu Sep 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-1mdk
- initial package
